Bug 1279861 - Storage volume manager looses focus when a volume is deleted
Summary: Storage volume manager looses focus when a volume is deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 23
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 12:31 UTC by Martin Kolman
Modified: 2015-12-31 00:55 UTC (History)
4 users (show)

Fixed In Version: virt-manager-1.3.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 00:55:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Kolman 2015-11-10 12:31:14 UTC
Description of problem:
The storage volume manager looses focus when a volume is deleted - the list jump back to the beggining every time a volume is deleted. This is very inconvenient as there can be many volumes in the list (for example on a visualization server) and having to scroll back all the time gets very tedious.

Version-Release number of selected component (if applicable):
1.2.1-3

How reproducible:
always

Steps to Reproduce:
1. open virt manager
2. right click on a hypervisor
3. select details
4. switch to the "Storage" tab
5. delete a storage volume

Actual results:
The list jumps to the top.

Expected results:
The volume is deleted but the list keeps it's focus (eq. still shows the same volumes as before minus the deleted volume)

Comment 1 Cole Robinson 2015-11-10 22:50:05 UTC
Thanks for the report, fixed upstream now:

commit ba8080db3f3e1bcc9cbc5853168ed50d2da92fc4
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Nov 10 17:27:49 2015 -0500

    storagelist: Reset list position after deleting volume (bz 1279861)

Comment 2 Martin Kolman 2015-11-13 08:44:30 UTC
(In reply to Cole Robinson from comment #1)
> Thanks for the report, fixed upstream now:
> 
> commit ba8080db3f3e1bcc9cbc5853168ed50d2da92fc4
> Author: Cole Robinson <crobinso@redhat.com>
> Date:   Tue Nov 10 17:27:49 2015 -0500
> 
>     storagelist: Reset list position after deleting volume (bz 1279861)

Wow, that was fast - thanks! :)

Comment 3 Fedora Update System 2015-11-25 20:09:42 UTC
virt-manager-1.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfc5692ef

Comment 4 Fedora Update System 2015-11-26 23:50:34 UTC
virt-manager-1.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfc5692ef

Comment 5 Fedora Update System 2015-12-07 01:07:48 UTC
virt-manager-1.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6cf48609ca

Comment 6 Fedora Update System 2015-12-08 04:32:24 UTC
virt-manager-1.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6cf48609ca

Comment 7 Fedora Update System 2015-12-24 19:03:01 UTC
virt-manager-1.3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 8 Fedora Update System 2015-12-29 00:57:07 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 9 Fedora Update System 2015-12-31 00:54:37 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.